<template>
  <section
    class="dashboard-section dashboard-section-columns lg:flex-grow gap-4"
  >
    <dashboard-section-title
      title="Orders History"
      sub-title="this month"
      diff="+20%"
    ></dashboard-section-title>
    <ul class="orders-timeline">
      <li
        class="flex flex-nowrap relative items-center justify-start gap-2 py-3"
        v-for="(order, idx) in orders"
        :key="idx"
      >
        <div
          class="w-4 h-4 border-2 border-solid rounded-full absolute top-4 left-0 z-10"
          :class="getCircleColor(order.status)"
        ></div>
        <div class="timeline-line" v-if="idx != orders.length - 1"></div>
        <div class="grid gap-1 ml-10">
          <p class="font-semibold text-lg">{{ order.title }}</p>
          <p class="font-boold text-gray-500 text-sm">{{ order.date }}</p>
        </div>
      </li>
    </ul>
    <button class="w-full py-3 bg-blue-500 text-white">
      Reverse
    </button>
  </section>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  data() {
    return {
      orders: [
        {
          title: "$2,400 - Redesign store",
          date: "09 JUN 7:20 PM",
          status: "completed"
        },
        {
          title: "New order #3654323",
          date: "08 JUN 12:20 PM",
          status: "completed"
        },
        {
          title: "Company server payments",
          date: "04 JUN 3:10 PM",
          status: "in-progress"
        },
        {
          title: "New card added for order #4826321",
          date: "02 JUN 2:45 PM",
          status: "in-progress"
        },
        {
          title: "Unlock folders for development",
          date: "18 MAY 1:30 PM",
          status: "in-progress"
        },
        {
          title: "New order #46282344",
          date: "14 MAY 3:30 PM",
          status: "pending"
        },
        {
          title: "Recording...",
          date: "",
          status: "init"
        }
      ]
    };
  },
  methods: {
    getCircleColor(status: string) {
      if (status === "pending") {
        return "border-gray-400";
      } else if (status === "in-progress") {
        return "border-blue-500";
      } else if (status === "init") {
        return "border-gray-300";
      }
      return "border-green-500";
    }
  }
});
</script>

<style lang="scss" scoped>
.timeline-line {
  position: absolute;
  top: 2em;
  left: 0.4em;
  width: 2px;
  height: 80%;
  background-color: rgba(231, 225, 225, 0.863);
  z-index: 0;
}
</style>
